Replace a trackers events
Replaces all events of a tracker with the passed list of events. This endpoint should not be used to modify trackers in a production setup, but rather for creating training data.
Authorizations
A plaintext token to secure your server, specified at startup in the argument --auth-token thisismysecret
Path Parameters
Id of the conversation
Query Parameters
Specify which events of the tracker the response should contain.
-
ALL- every logged event. -
APPLIED- only events that contribute to the trackers state. This excludes reverted utterances and actions that got undone. -
AFTER_RESTART- all events since the lastrestartedevent. This includes utterances that got reverted and actions that got undone. -
NONE- no events.
ALL, APPLIED, AFTER_RESTART, NONE Body
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
Event for incoming user message.
Event name
user "user"
Unix timestamp (float) of when the event was applied.
1774447464.622012
Arbitrary metadata attached to the event by the channel or model, e.g. session_id, model_id, assistant_id, model_name.
Text of user message.
NLU parser information. If set, message will not be passed through NLU, but instead this parsing information will be used.
ISO 8601 timestamp of when PII in this event was anonymized, or null if the event has not been anonymized.
Response
Success
Conversation tracker which stores the conversation state.
ID of the conversation
"default"
Optional identifier of the end user associated with this conversation. Omitted from serialized output when null.
"usr_a1b2c3d4e5f6"
Session ID derived from the metadata of the last stored event. null when the last event is ConversationInactive, indicating no active session.
"4b3c1e2a-91f0-4d8e-b123-abc123def456"
Slot values
NLU parser information. If set, message will not be passed through NLU, but instead this parsing information will be used.
Most recent event time
1537645578.314389
Deterministic scheduled next action
Bot is paused
false
Event history
Event for incoming user message.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
Communication channel
"rest"
Name of last bot action
"action_listen"
Latest bot action.
Name of the active loop